"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "packages/schematics/angular/utility/latest-versions.ts" between
angular-cli-12.1.2.tar.gz and angular-cli-12.1.3.tar.gz

About: Angular CLI is a command line interface for Angular.

latest-versions.ts  (angular-cli-12.1.2):latest-versions.ts  (angular-cli-12.1.3)
/** /**
* @license * @license
* Copyright Google LLC All Rights Reserved. * Copyright Google LLC All Rights Reserved.
* *
* Use of this source code is governed by an MIT-style license that can be * Use of this source code is governed by an MIT-style license that can be
* found in the LICENSE file at https://angular.io/license * found in the LICENSE file at https://angular.io/license
*/ */
/** Retrieve the minor version for the provided version string. */
function getEarliestMinorVersion(version: string) {
const versionMatching = version.match(/^(\d+)\.(\d+)\.*/);
if (versionMatching === null) {
throw Error('Unable to determine the minor version for the provided version'
);
}
const [_, major, minor] = versionMatching;
return `${major}.${minor}.0`;
}
export const latestVersions = { export const latestVersions = {
// These versions should be kept up to date with latest Angular peer dependenc ies. // These versions should be kept up to date with latest Angular peer dependenc ies.
Angular: '~12.1.2',
RxJs: '~6.6.0', RxJs: '~6.6.0',
ZoneJs: '~0.11.4', ZoneJs: '~0.11.4',
TypeScript: '~4.3.2', TypeScript: '~4.3.2',
TsLib: '^2.2.0', TsLib: '^2.2.0',
// As Angular CLI works with same minor versions of Angular Framework, a tilde
match for the current
// Angular CLI minor version with earliest prerelease (appended with `-`) will
match the latest
// Angular Framework minor.
Angular: `~${getEarliestMinorVersion(require('../package.json')['version'])}-`
,
// Since @angular-devkit/build-angular and @schematics/angular are always // Since @angular-devkit/build-angular and @schematics/angular are always
// published together from the same monorepo, and they are both // published together from the same monorepo, and they are both
// non-experimental, they will always have the same version. // non-experimental, they will always have the same version.
DevkitBuildAngular: '~' + require('../package.json')['version'], DevkitBuildAngular: '~' + require('../package.json')['version'],
ngPackagr: '^12.1.0', ngPackagr: '^12.1.0',
}; };
 End of changes. 3 change blocks. 
1 lines changed or deleted 21 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)